/**
 * 工单分配
 * */

$(document).ready(function() {
	autosize($('textarea'));
	var ID = helper.request.queryString("oid"); //工单编号
	if(ID) {
		getWorkOrderInfo(ID);
	}
//确定点击按钮	
	$("#clgd").click(function() {
		
		//alert($("#gcDuanxin").find('input[type="radio"]:checked').val());
		//alert($("#gcRevice").val());
		dealWorkOrder(ID);
	});

		//tree下拉框效果
	$(".inpBox .tree").click(function() {
		if($(this).parent().find(".addTree").is(":hidden")) {
			$(this).parent().find(".addTree").show();
		} else {
			$(this).parent().find(".addTree").hide();
		}
	});
	
	//普通下拉框效果
	$(".inpBox .select").click(function() {
		if($(this).parent().find(".xl_common").is(":hidden")) {
			$(this).parent().find(".xl_common").show();
		} else {
			$(this).parent().find(".xl_common").hide();
		}
	});
	
	$(".xl").click(function() {
		if($(this).parent().find(".addTree").is(":hidden")) {
			$(this).parent().find(".addTree").show();
		} else {
			$(this).parent().find(".addTree").hide();
		}
		if($(this).parent().find(".xl_common").is(":hidden")) {
			$(this).parent().find(".xl_common").show();
		} else {
			$(this).parent().find(".xl_common").hide();
		}
	});
	
//	$(".inpBox").mouseleave(function() {
//		$(this).children(".addTree").hide();
//		$(this).children(".xl_common").hide();
//	});
	//清除
	$(".Cleans ").click(function () {
	    $('.inps').val("");
	    $("#PID").val("");
	    $("#Dpment").val("");
	})
	
	$(".xl_box").on("click", "li", function() {
		var obj = $(this).parent().parent().parent();
		obj.find("input").eq(0).val($(this).text());
		obj.find("input").eq(1).val($(this).attr("itemid"));
		obj.find(".xl_common").hide();
	});
	getBM($("#zrbmtree"));
		
	$('#btn_cha').click(function(){
		initTable();
	})

})

//获取部门
		var setting = {
			data: {
				key: {
					name: "text"
				},
				simpleData: {
					enable: true,
					idKey: "id",
					pIdKey: "ParentId",
					rootPId: 0
				}
			},
			callback: {
				onClick: zTreeOnClick
			}
		};
		function darptSearch() {
			$('.xlAdd').css('display', 'none');
			$(".selDpart1").css('display', 'block');
			depart();
		}
		function getBM(obj) {
			$.getJSON(huayi.config.callcenter_url + 'Department/GetDeptList', {
				token: $.cookie("token"),
				keywords:$('.inps').val(),
			}, function(result) {
				if(result.state.toLowerCase() == "success") {
					// alert(111111);
					
					var treeObj = $.fn.zTree.init(obj, setting, result.data);
					treeObj.expandAll(false);
				}
			})
		}
		
		function zTreeOnClick(event, treeId, treeNode) {
			if(event) {
				event.stopPropagation();
			}
			var obj = $("#" + event.data.treeId).parent();
			obj.parent().find("input").eq(0).val(treeNode.text);
			obj.parent().find("input").eq(1).val(treeNode.id);
			obj.hide();
			getRY($(".clid"), $("#clbm").val());
			
		};
		$("#sponsor").on('click', 'li', function() {
			$(".selDpart1").css('display', 'none');
			$(".tree").val($(this).html());
			$("#Dpment").val($(this).attr("index"));
			$(".Cleans").show();
			getRY($(".clid"), $("#clbmname").val());
		})
		function depart() {
			$("#sponsor").empty();
			$.getJSON(huayi.config.callcenter_url + "WorkOrderNew/GetModelDeptName", {
			    "token": $.cookie("token"),
				F_DeptName: $('.inps').val(),
			}, function(data) {
				if(data.state.toLowerCase() == "success") {
					var content = data.data;
					$(content).each(function(i, n) {
						$("<li index='" + n.depname + "'>" + n.deptid + "</li>").appendTo("#sponsor");
					})
					getRY($(".clid"), $("#clbm").val());
				}
				
			})
		}
//获取人员
function getRY(obj, deptid) {
	var proid = helper.request.queryString("proid"); //项目id
	obj.empty();
	obj.append('<li itemid="">--请选择--</li>');
	obj.parent().parent().find("input").eq(0).val("--请选择--");
	obj.parent().parent().find("input").eq(1).val("");
	$.getJSON(huayi.config.callcenter_url + 'UserAccount/GetDeptUserList', {
		proid: proid,
		deptid: deptid,
		token: $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {
			$(result.data).each(function(i, n) {
				obj.append('<li itemid="' + n.F_UserId + '">' + n.F_UserName + '(' + n.F_UserCode + ')</li>');
			});
			obj.find("li").click(function(event) {
				if(event) {
					event.stopPropagation();
				}
				$(this).parent().parent().parent().find("input").eq(0).val($(this).text());
				$(this).parent().parent().parent().find("input").eq(1).val($(this).attr("itemid"));
				$(this).parent().parent().hide();
			});
		}
	})
}
getReceiveUser();
//获取接收人员
function getReceiveUser() {
	$.ajax({
		url: huayi.config.callcenter_url + 'WxLogin/GetHighlevel',
		type: 'get',
		data: {
			token: $.cookie("token")
		},
		dataType: "json",
		async: true,
		success: function(res) {
			$("#gcRevice").empty();
			if(res.state.toLowerCase() === "success") {
				res = res.data.user;
				if(res && res.length > 0) {
					$("#gcRevice").append('<option value="">请选择接收人</option>');
					res.forEach(function(v, i) {
						$("#gcRevice").append('<option value="' + v.F_UserId + '" data-code="'+ v.F_UserId +'">' + v.F_UserName + '('+ v.F_UserCode +')</option>');
					});
				}
			}
		},
	});
}
$('#gcDuanxin').find('input[type="radio"]').on('change', function() {
	if($(this).val() == "0") { //业务办理
		$(".gcSelDiv").hide();
		$(".gcSelDiv").val("");
	}else{
		$(".gcSelDiv").show();
	}
});

$('#yijian').find('input[type="radio"]').on('change', function() {
			if($(this).val() == "不同意") { //业务办理
				$('#pionn,#piocni').show();
			}else{
				$('#pionn,#piocni').hide();
			}
});
$('#buchang').find('input[type="radio"]').on('change', function() {
			if($(this).val() == "钱款") { //业务办理
				$('#mmm,#mmm').show();
			}else{
				$('#mmm,#mmm').hide();
			}
});
//获取工单信息
function getWorkOrderInfo(oid) {
	$.ajax({
		type: "get",
		url: huayi.config.callcenter_url + "WorkOrderNew/GetDetails",
		async: true,
		dataType: 'json',
		data: {
			id: oid,
			token: $.cookie("token")
		},
		success: function(data) {
			/*验证请求*/
			if(data.state == "success") {
				var Str = data.rows;
				if(Str && Str.length > 0) {
					$('#cl_gdbh').text(Str[0].F_WorkOrderCode); //工单编号
					$("#cl_gdlx").text(Str[0].F_TypeName); //工单类型
					
					$("#xq_source").text(Str[0].F_SourceName); //工单来源
					$("#cl_gdn").text(Str[0].F_DeptName); //业务办理
					$("#cl_khxm").text(Str[0].F_CusName); //姓名
					$("#cl_khdh").text(helper.filter.cutTel(Str[0].F_CusPhone)); //电话
					$('#cl_gdnr').text(decodeURIComponent(Str[0].Detail));
					if($("#cl_gdn").text()=="市场管理科"){
						$(".isSelDiv").show();
					}else{
						$(".isSelDiv").remove();
					}
					if($("#cl_gdlx").text()=="抽检"){	
					   if($("#cl_gdn").text()=="市场管理科"){
						  $("#abcde").show(); 
						  $("#abc").hide();
						  $("#zipeti").hide();
					   }
					}else if($("#cl_gdlx").text()=="投诉"){
						   if($("#cl_gdn").text()=="市场管理科"){
							   $("#abc").show();
							   $("#abcde").hide();
							   $("#zipeti").show();
						   }
					}else if($("#cl_gdlx").text()=="咨询"){
						   if($("#cl_gdn").text()=="市场管理科"){
							   $("#abc").show();
							   $("#ddd").hide();
							   $("#zipeti").show();
						   }
					}
					   
					   
					if($("#cl_gdlx").text()=="抽检"){
					   if($("#cl_gdn").text()=="质量管理部"){
						  $("#abcdef").show();   
						  $("#abcde").hide();
				
					   }
					}else if($("#cl_gdlx").text()=="投诉"){
						   if($("#cl_gdn").text()=="质量管理部"){
							   $("#zcetey").show();
							   $("#abcd").show();
							   $("#abc").hide(); 
							  
						  }
					 }else if($("#cl_gdlx").text()=="咨询"){
						   if($("#cl_gdn").text()=="质量管理部"){
							   $("#zcetey").show(); 
							   $("#ddd").show();    
							   $("#ccc").hide(); 
						   }
					   }
					   
					   if($("#cl_gdlx").text()=="抽检"){
					      if($("#cl_gdn").text()=="销售财务"){
					   	  $("#hhh").show(); 
					   	  $("#nnn").hide();
					      }
					   }else if($("#cl_gdlx").text()=="投诉"){
					   	   if($("#cl_gdn").text()=="销售财务"){
					   		   $("#hhh").show();
					   		    $("#nnn").hide(); 
					   	   }
					    }else if($("#cl_gdlx").text()=="咨询"){
					   	   if($("#cl_gdn").text()=="销售财务"){
					   		   $("#hhh").show();
					   		    $("#nnn").hide(); 
					   	   }
					    }
						
						 if($("#cl_gdlx").text()=="抽检"){
						   if($("#cl_gdn").text()=="复合肥市场管理科"){
							  $("#nnn").show(); 
							  $("#hhh").hide();
						   }
						}else if($("#cl_gdlx").text()=="投诉"){
							   if($("#cl_gdn").text()=="复合肥市场管理科"){
								   $("#nnn").show();
								    $("#hhh").hide(); 
							   }
						 }else if($("#cl_gdlx").text()=="咨询"){
							   if($("#cl_gdn").text()=="复合肥市场管理科"){
								   $("#nnn").show();
								    $("#hhh").hide(); 
							   }
						 }
					// if($("#cl_gdlx").text()=="抽检"){
					// 	alert(Str[0].F_TypeName)
					// }else if($("#cl_gdlx").text()=="投诉"){
					// 	alert(Str[0].F_TypeName)
					// } else{
					// 	alert(Str[0].F_TypeName)
					// }
						
					//微信内文件（暂时不用）
					var Files = Str[0].Files;
					if(Files) {
						var a;
						var b;
						$(Files).each(function(i, n) {
							a = n.F_FileType.split("\/")[0];
							b = n.F_FileName.split(".")[1];
//							console.log(a);
							if(a == 'image') {
								$('<div class="img-box"><a href="+' + n.F_FileUrl + '" download="' + n.F_FileName + '"><img src="' + n.F_FileUrl + '" alt="" class="image-item"  data-preview-group="1" /><span class="">' + b + '</span></a><div>').appendTo(".space");
							} else {
								$('<div class="img-box "><a href="+' + n.F_FileUrl + '" download="' + n.F_FileName + '"><span class="">' + b + '</span></a><div>').appendTo(".space");
							}

						})
					}

				}
			}
		}
	});
}

//获取工单类型
function getTypeName(val) {
	var str = '';
	switch(val + '') {
		case '1':
			str = "咨询";
			break;
		case '2':
			str = "投诉";
			break;
		case '3':
			str = "抽检";
			break;
		// case '4':
		// 	str = "其他";
		// 	break;
	}
	return str;
}

// var zzar;//是否回访
// 
// function market(){
// 	if($('#bazaar').text()=='投诉类市场管理科'){
// 		zzar='';
// 	}else if($('#bazaar1').text()=='投诉类质量管理部'){
// 		
// 		zzar=$("#hiution").find('input[type="radio"]:checked').val();
// 	}else if($('#bazaar2').text()=='抽检类市场管理科'){
// 		
// 		zzar='';
// 	}else if($('#bazaar3').text()=='抽检类质量管理部'){
// 		
// 		zzar=$("#hui_FA").find('input[type="radio"]:checked').val();
// 	}
// 	
// 	
// }









//派单（分配）
function dealWorkOrder(oid) {
	// var ltype = $("input[name='ltype']:checked").val();
	var isDetail = helper.request.queryString("isDetail"); //是否是详情页面的处理
	
	// if($.trim($('#clbmname').val()) && !$('#clid').val()){
	// 	layer.confirm('请选择接收人！', {
	// 		icon: 2,
	// 		btn: ['确定']
	// 	});
	// 	return;
	// }
	
	$.post(huayi.config.callcenter_url + 'WorkOrderNew/AssignWorkOrder', {
		orderid: oid, //否	strubg	工单ID
		// isend: ltype, //否	int	
		overtime: $("#chaishi").find('input[type="radio"]:checked').val(), //超时时限
		clbm: $("#clbm").val(), //是	int	部门Id
		clid: $("#clid").val(), //否	int	接收人用户id
		cont: $("#cont").val(), //否	int	处理内容
		isApprovalp:$("#gcDuanxin").find('input[type="radio"]:checked').val(),//高层办理
		hclid:$("#gcRevice").val(),//办理人员
		sms: $("#duanxin").find('input[type="radio"]:checked').val(),//短信提醒
		QualityMonth: $("#zhibao").val(), //否	int	处理内容
		PreliminaryOpinion: $("#chushen").val(), 
		QualityEventLevel: $("#dengji").val(), 
		ApprovalDisagree: $("#butong").val(), 
		ResponsibleUnit: $("#duoxuan").find('input[type="checkbox"]:checked').val(),
		ApprovalOpinions: $("#yijian").find('input[type="radio"]:checked').val(), 
		CompensationMethod: $("#buchang").find('input[type="radio"]:checked').val(),
		CompensationMoney: $("#buqian").val(), 
		CResponsibleUnits: $("#danwei").val(), 
		Fquantity: $("#shuliang").val(), 
		ImprovementRequirements: $("#yaoqiu").val(), 
		CApprovalNo: $("#danhao").val(), 
		
		Fquantity: $("#fanzha").val(), 
		
		SpotResult: $("#chou").val(), 
		SelfResult: $("#zijian").val(), 
		ApprovalNo: $("#duiying").val(), 
		ReturnAccount: $("#shenpi").val(), 
		
		isvisit: $("#hui_FA").find('input[type="radio"]:checked').val(),
		IsRecord: $("#shenpi").val(),
		ClaimAmount: $("#suopeijin").val(), 
		token: $.cookie("token")
	}, function(result) {
		result = $.parseJSON(result);
		if(result.state.toLowerCase() == "success") {
			debugger
			if(isDetail === "true") {
				
				parent.parent.layer.closeAll();
				parent.parent.$('#orderlist').bootstrapTable('refresh');
				parent.parent.layer.msg("工单转派成功！");
			} else {
				var index = parent.layer.getFrameIndex(window.name); //先得到当前iframe层的索引
				parent.layer.close(index); //再执行关闭
				parent.$('#workorderlist').bootstrapTable('refresh');
				parent.$('.Closed').trigger('click');
				parent.layer.msg("工单转派成功！");
			}
		}
	})
}

$(document).ready(function () {
            var wid = helper.request.queryString("wid");
		 // CPZL($("#zhibao"));//产品种类
		 SCCS($("#zhibao"));//初审意见
		 SCCS($("#chushen"));//初审意见
		 ZLSJDJ($("#cat"));//质量事件等级
		 ZLZRDW($("#danwei"));//责任单位
		 SCCJJG($("#chou"));//责任单位
	
});

// function CPZL(obj) {
// 	obj.empty();
// 	obj.append('<option selected="selected" value="">请选择</option>');
// 	$.getJSON(huayi.config.callcenter_url + "WorkOrder/GetProTime", {
// 		"token": $.cookie("token"),
// 		flag:"CPZL",
// 	}, function (data) {
// 		if (data.state.toLowerCase() == "success") {
// 			var content = data.data;
// 			$(content).each(function (i, n) {
// 				$("<option value='" + n.F_Name + "'>" + n.F_Name + "</option>").appendTo(obj);
// 			})
// 		}
// 	})
// }
function SCCS(obj) {
	obj.empty();
	obj.append('<option selected="selected" value="">请选择</option>');
	$.getJSON(huayi.config.callcenter_url + "Dictionary/GetDicValueListByFlag", {
		"token": $.cookie("token"),
		flag:"SCCS",
	}, function (data) {
		if (data.state.toLowerCase() == "success") {
			var content = data.data;
			$(content).each(function (i, n) {
				$("<option value='" + n.F_Name + "'>" + n.F_Name + "</option>").appendTo(obj);
			})
		}
	})
}
//质量事件等级
function ZLSJDJ(obj) {
	obj.empty();
	obj.append('<option selected="selected" value="">请选择</option>');
	$.getJSON(huayi.config.callcenter_url + "Dictionary/GetDicValueListByFlag", {
		"token": $.cookie("token"),
		flag:"ZLSJDJ",
	}, function (data) {
		if (data.state.toLowerCase() == "success") {
			var content = data.data;
			$(content).each(function (i, n) {
				$("<option value='" + n.F_Name + "'>" + n.F_Name + "</option>").appendTo(obj);
			})
		}
	})
}
//责任单位
function ZLZRDW(obj) {
	obj.empty();
	obj.append('<option selected="selected" value="">请选择</option>');
	$.getJSON(huayi.config.callcenter_url + "Dictionary/GetDicValueListByFlag", {
		"token": $.cookie("token"),
		flag:"ZLZRDW",
	}, function (data) {
		if (data.state.toLowerCase() == "success") {
			var content = data.data;
			$(content).each(function (i, n) {
				$("<option value='" + n.F_Name + "'>" + n.F_Name + "</option>").appendTo(obj);
			})
		}
	})
}
//抽检结果
function SCCJJG(obj) {
	obj.empty();
	obj.append('<option selected="selected" value="">请选择</option>');
	$.getJSON(huayi.config.callcenter_url + "Dictionary/GetDicValueListByFlag", {
		"token": $.cookie("token"),
		flag:"SCCJJG",
	}, function (data) {
		if (data.state.toLowerCase() == "success") {
			var content = data.data;
			$(content).each(function (i, n) {
				$("<option value='" + n.F_Name + "'>" + n.F_Name + "</option>").appendTo(obj);
			})
		}
	})
}

$('#chaishi').find('input[type="radio"]').on('change', function() {
			if($(this).val() == "其他") { //超时时限
				$('#penli').show();
				$('#liset').show();
			}else{
				$('#penli').hide();
				$('#liset').hide();
			}
		});
		
		

$('#chushen').change(function(){
	if($('#chushen').val() == "其他") { //超时时限
		$('#displ').show();
		$('#splay').show();
	}else{
		$('#displ').hide();  
		$('#splay').hide();
	}
});
// checkYear()
// 	 function checkYear() {
//         var selectValue = $("select[name='periodType']").val();
//         if(selectValue == '其他'){
//             $('#displ').show();
//             $('#splay').show();
//         }else{
// 			 $('#displ').hide();
// 			$('#splay').hide();
// 		}
//        
//     }